Bug 572200 - FIXES needs atomic QueryTree/QueryPointer
Summary: FIXES needs atomic QueryTree/QueryPointer
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 19
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-10 14:38 UTC by Rik van Riel
Modified: 2018-04-11 13:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-18 13:26:05 UTC
Type: ---


Attachments (Terms of Use)
xscope output of the problematic session (1.74 MB, text/plain)
2010-03-10 15:04 UTC, Rik van Riel
no flags Details
xscope output w/ compositing manager enabled (1.39 MB, text/plain)
2010-03-10 16:24 UTC, Rik van Riel
no flags Details

Description Rik van Riel 2010-03-10 14:38:07 UTC
Description of problem:

I did an ssh -X to an F11 system and started preupgrade there.  The preupgrade window is displayed on the F12 system, and the F11 system is across the internet (latency).

X only updates the screen a few times a minute.  I don't mean just the preupgrade window, the entire desktop stalls for up to 30-40 seconds at a time.

Killing the preupgrade makes things work normally again.

Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg-1.7.1-7.fc12.x86_64


Steps to Reproduce:
1. run a normal F12 desktop
2. ssh -X to an F11 system (across the internet?)
3. start preupgrade on the F11 system
4. watch X freeze
  
Expected results:

Other X applications are unaffected by any slowness in preupgrade.

Additional info:

Tell me what else you want to know, I'll gather the info.

Comment 1 Rik van Riel 2010-03-10 14:47:32 UTC
Additional info:
- the mouse keeps moving
- the problem happens with both ssh -X and ssh -Y
- the problem starts when preupgrade renders the progress bar "Downloading group metadata"
- minimizing the window does not help

Comment 2 Rik van Riel 2010-03-10 15:04:08 UTC
Created attachment 399106 [details]
xscope output of the problematic session

Xscope output of a session with large X latencies.  Xscope is run on the F12 system, followed by "DISPLAY=:1 ssh -Y ..." to redirect remote X output through xscope.

Comment 3 Rik van Riel 2010-03-10 16:24:40 UTC
Created attachment 399127 [details]
xscope output w/ compositing manager enabled

During this trace, I had a latency of >20 seconds in my other X applications. I see several instances of UngrabServer immediately followed by the next GrabServer. Maybe other applications simply get starved out that way?

Comment 4 Matěj Cepl 2010-03-18 03:10:04 UTC
There is nothing to triage here.

Switching to ASSIGNED so that developers have responsibility to do whatever they want to do with it.

Comment 5 Adam Jackson 2010-10-28 17:08:44 UTC
Finally had time to look at this, and it looks pretty much like I expected.  You're doing a ton of GrabServer/QueryPointer/UngrabServer to try to figure out the window under the cursor.  That's _gdk_windowing_window_at_pointer().

I proposed an XFIXES request to make that an atomic operation once, but it never got much traction.  Of course it'll only help systems with sufficiently new GTK.  It's probably also possible to make preupgrade call that call chain less often.

Comment 6 Bug Zapper 2010-11-03 20:12:58 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Fedora End Of Life 2013-04-03 19:58:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 8 Fedora End Of Life 2015-01-09 21:42:46 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2015-02-18 13:26:05 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.